{
    attributes = (
        {
            columnName = "ORSI_ID"; 
            externalType = NUMBER; 
            name = orsiId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "OST_ID"; 
            externalType = NUMBER; 
            name = ostId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "OST_MAX_MONTANT_TTC"; 
            externalType = NUMBER; 
            name = ostMaxMontantTtc; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (orsiId, ostId, tcdOrdre); 
    className = "org.cocktail.fwkcktljefyadmin.common.metier.EOOrganSignataireTc"; 
    classProperties = (organSignataire, ostMaxMontantTtc, typeCredit); 
    externalName = "jefy_admin.ORGAN_SIGNATAIRE_TC"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.fwkcktljefyadmin.common.metier.EOOrganSignataireTc"; 
    }; 
    name = "FwkJefyAdmin_OrganSignataireTc"; 
    primaryKeyAttributes = (ostId); 
    relationships = (
        {
            destination = "FwkJefyAdmin_OrganSignataire"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orsiId; sourceAttribute = orsiId; }); 
            name = organSignataire; 
        }, 
        {
            destination = "FwkJefyAdmin_TypeCredit"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }
    ); 
}
